.toolkit-buttonarray {
    box-sizing: border-box;
    position: relative;
    height: 50px;
    float: left;
}

.toolkit-buttonarray.toolkit-vertical {
    height: 100%;
}

.toolkit-buttonarray.toolkit-horizontal {
    width: 100%;
}

.toolkit-buttonarray .toolkit-previous {
     margin: 0;
}
.toolkit-buttonarray .toolkit-next {
     margin: 0;
}
.toolkit-buttonarray.toolkit-vertical .toolkit-previous {
    position: absolute;
    top: 0;
    width: 100%;
}
.toolkit-buttonarray.toolkit-vertical .toolkit-next {
    position: absolute;
    bottom: 0;
    width: 100%;
}
.toolkit-buttonarray.toolkit-horizontal .toolkit-previous {
    left: 0;
    width: 40px;
    padding-left: 4px;
    padding-right: 4px;
    position: absolute;
    height: 100%;
}
.toolkit-buttonarray.toolkit-horizontal .toolkit-next {
    top: 0;
    right: 0px;
    width: 40px;
    padding-left: 4px;
    padding-right: 4px;
    position: absolute;
    height: 100%;
}

.toolkit-buttonarray .toolkit-clip {
    position: relative;
    width: 100%;
    height: 100%;
    overflow: hidden;
    box-sizing: border-box;
    border-width: 1px;
    border-style: solid;
    border-color: transparent;
    -webkit-border-radius: 6px;
    -moz-border-radius:    6px;
    border-radius:         6px;
    border: 1px solid #aaa;
    transition: left 0.5s ease-in-out, top 0.5s ease-in-out, right 0.5s ease-in-out, bottom 0.5s ease-in-out;
    background-color: rgb(245,245,245);
    background-image: url(../images/gradients/grey_out.png);
    background-repeat: repeat-x;
    background-size: 100% 200%;
    background-position: 50% 0;
}
.toolkit-buttonarray.toolkit-over.toolkit-horizontal .toolkit-clip {
    margin-left: 45px;
    margin-right: 45px;
    width: calc(100% - 90px);
}
.toolkit-buttonarray.toolkit-over.toolkit-vertical .toolkit-clip {
    background-color: rgb(245,245,245);
    background-image: url(../images/gradients/grey_out.png);
    background-repeat: repeat-x;
    background-size: 100% 200%;
    background-position: 50% 0;
    margin-top: 40px;
    margin-bottom: 40px;
    height: calc(100% - 80px);
}

.toolkit-buttonarray .toolkit-clip .toolkit-container {
    position: relative;
    transition: left 0.5s ease-in-out, top 0.5s ease-in-out;
}

.toolkit-buttonarray.toolkit-horizontal .toolkit-clip .toolkit-container {
    width: 20000px;
    height: 100%;
}
.toolkit-buttonarray.toolkit-vertical .toolkit-clip .toolkit-container {
    height: 10000px;
    width: 100%;
}

.toolkit-buttonarray .toolkit-clip .toolkit-container .toolkit-button {
    margin: 0;
    border: none;
    -webkit-border-radius: 0px;
    -moz-border-radius:    0px;
    border-radius:         0px;
}
.toolkit-buttonarray .toolkit-clip .toolkit-container .toolkit-button .toolkit-label {
    white-space: nowrap;
}
.toolkit-buttonarray.toolkit-horizontal .toolkit-clip .toolkit-container .toolkit-button {
    height: 100%;
}
.toolkit-buttonarray.toolkit-vertical .toolkit-clip .toolkit-container .toolkit-button {
    display: block;
    width: 100%;
    background: none;
}
.toolkit-buttonarray.toolkit-vertical .toolkit-clip .toolkit-container .toolkit-button:hover,
.toolkit-buttonarray.toolkit-vertical .toolkit-clip .toolkit-container .toolkit-button:active
 {
    -webkit-box-shadow: none;
    -moz-box-shadow: none;
    box-shadow: none;
    background: rgba(0,0,0,0.05);
}
